Bug 145311 - loading snd_ich from loader may cause hang.
Summary: loading snd_ich from loader may cause hang.
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 8.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-03 03:00 UTC by Henry Grebler
Modified: 2019-01-07 16:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Grebler 2010-04-03 03:00:20 UTC
See also http://forums.freebsd.org/showthread.php?t=12850

I have a loader.conf file which causes a hang at boot time. I suspect
a bug in the loader.

When I try to boot, I get to:

    atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 irq 1 pnpid PNP0303 on isa0

and then nothing, no matter how long I wait. I would expect to see
this next:

        atkbd0: <AT Keyboard> irq 1 on atkbdc0

I've tried all the choices on the loader menu including safe mode
and single user, all with the same result.

I'm running a standard kernel.

Fix: 

The problem can be completely avoided. Do not have those three line
(in that order) in loader.conf. For GENERIC, the first 2 lines are
redundant.

However, loader hangs are particularly unpleasant. There is no simple
fix. The machine must be rebooted from CD, the file system must be
mounted, and it is necessary to perform some editing or
moving/deleting/copying to be able to reboot.
How-To-Repeat: The hang still occurs when loader.conf is reduced to:

ukbd_load="YES"
sem_load="YES"
snd_ich_load="YES"      # Intel ICH5

Each individual line by itself in loader.conf works!

Further, this does not hang:

ukbd_load="YES"
sem_load="YES"
Comment 1 Garrett Cooper 2010-04-03 03:31:35 UTC
Hi Henry,
    Could you try loading up the bootloader prompt and going:

load snd_ich
boot

    Also, same as above but with boot -v instead of boot? What happens
in those two tries?
Thanks,
-Garrett
Comment 2 Remko Lodder freebsd_committer 2010-04-03 08:55:48 UTC
State Changed
From-To: open->feedback

Garrett asked for feedback on this one.
Comment 3 Henry Grebler 2010-04-03 23:35:17 UTC
Hi Garrett,


Sorry about the delay.


-->    Could you try loading up the bootloader prompt and going:
-->
-->load snd_ich
-->boot
-->
-->    Also, same as above but with boot -v instead of boot? What happens
-->in those two tries?



1. I have built another machine exclusively for testing this problem.

2. I created loader.conf as before and the boot process hangs in the
same place. 

3. With the problematic loader.conf, I then did as you asked.

3.1
	load snd_ich
	boot

As far as I can tell, hangs in the same way.

3.2
	load snd_ich
	boot -v

As far as I can tell, hangs in the same way.

There are many extra messages of the form:

pcm0: Mixer "video":

I can't scroll back because the keyboard won't respond when it hangs.
I don't have a serial console set up. Is there something I'm looking
for?

4. I then did 3 again without entries in loader.conf (ie machine is
able to boot).

4.1
	load snd_ich
/boot/kernel/snd_ic.ko text=...
loading required module 'sound'
/boot/kernel/snd_ic.ko text=...
	boot

(I can give more detail  on "..." if needed.)

Boots ok (but remember, I did say "Each individual line by itself in
loader.conf works").

4.2
	load snd_ich
	boot -v

Boots ok.

There are many extra messages. I can scroll back, but I don't know
what to look for.

Let me know if I can provide any more help. I didn't really understand
what you were testing for, so I may not have done what you wanted.


Cheers,
Henry





-->On Fri, Apr 2, 2010 at 4:29 PM, Henry Grebler
--><henrygrebler@optusnet.com.au> wrote:
-->>
-->>>Number:         145311
-->>>Category:       conf
-->>>Synopsis:       loader.conf can cause boot hang
-->>>Confidential:   no
-->>>Severity:       non-critical
-->>>Priority:       low
-->>>Responsible:    freebsd-bugs
-->>>State:          open
-->>>Quarter:
-->>>Keywords:
-->>>Date-Required:
-->>>Class:          sw-bug
-->>>Submitter-Id:   current-users
-->>>Arrival-Date:   Sat Apr 03 02:00:20 UTC 2010
-->>>Closed-Date:
-->>>Last-Modified:
-->>>Originator:     Henry Grebler
-->>>Release:        FreeBSD 8.0-RELEASE i386
-->>>Organization:
-->>>Environment:
-->> System: FreeBSD freew.t-s-f.com.au 8.0-RELEASE FreeBSD 8.0-RELEASE #0: Sat Nov 21 15:48:17 UTC 2009 root@almeida.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC i386
-->>
-->>
-->>
-->>>Description:
-->> See also http://forums.freebsd.org/showthread.php?t=12850
-->>
-->> I have a loader.conf file which causes a hang at boot time. I suspect
-->> a bug in the loader.
-->>
-->> When I try to boot, I get to:
-->>
-->>    atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 irq 1 pnpid PNP0303 on isa0
-->>
-->> and then nothing, no matter how long I wait. I would expect to see
-->> this next:
-->>
-->>        atkbd0: <AT Keyboard> irq 1 on atkbdc0
-->>
-->> I've tried all the choices on the loader menu including safe mode
-->> and single user, all with the same result.
-->>
-->> I'm running a standard kernel.
-->>
-->>>How-To-Repeat:
-->> The hang still occurs when loader.conf is reduced to:
-->>
-->> ukbd_load="YES"
-->> sem_load="YES"
-->> snd_ich_load="YES"      # Intel ICH5
-->>
-->> Each individual line by itself in loader.conf works!
-->>
-->> Further, this does not hang:
-->>
-->> ukbd_load="YES"
-->> sem_load="YES"
-->
-->Hi Henry,
-->    Could you try loading up the bootloader prompt and going:
-->
-->load snd_ich
-->boot
-->
-->    Also, same as above but with boot -v instead of boot? What happens
-->in those two tries?
-->Thanks,
-->-Garrett
-->
Comment 4 Garrett Cooper 2010-04-21 02:45:35 UTC
FYI... now might be a good time to pass it on to someone with more
potential suggestions for resolving the issue.
Thanks,
-Garrett

---------- Forwarded message ----------
From: Henry Grebler <henrygrebler@optusnet.com.au>
Date: Tue, Apr 20, 2010 at 6:16 PM
Subject: Re: conf/145311: loader.conf can cause boot hang
To: Garrett Cooper <yanefbsd@gmail.com>



Hi Garrett,


--> =A0 =A0Trying a more recent copy of 8-STABLE might also work, if there
-->were any bugs fixed between the release and now.


As I have said previously, I'm still groping my way around FreeBSD.
However, as far as I can tell I have:

=A0 =A0 =A0 =A0downloaded the latest sources
=A0 =A0 =A0 =A0read differences
=A0 =A0 =A0 =A0built a loader with the latest sources
=A0 =A0 =A0 =A0tried the loader

It still fails in the same old way.

I guess that's the end of the line for me. I've done all that I'm
prepared to do.

I'm not prepared to disable devices in the BIOS, or do other vaguely
defined activities that might lead to a root cause.

Thank you for all your help.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2011-09-29 05:09:41 UTC
State Changed
From-To: feedback->open

we had feedback a long time ago
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:36 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 7 Warner Losh freebsd_committer 2019-01-07 16:00:19 UTC
This looks like a bug in snd_ich. Since I don't have any machines that use that, I can't test it, but what's described here makes it sound that way. Adjusted the config header.

Henry, any chance you can see if this still triggers on 11 or 12?